Subject: The logic behind the QWERTY keyboard
From: Eric Fischer <[email-masked]>
Date: 26 Sep 2000 06:18:34 GMT
Newsgroups: alt.folklore.computers

Several days ago in this newsgroup I speculated that the QWERTY
keyboard might have been better suited to the circular type basket
of the original Sholes typewriter than to the half-circle of type
used on most later typewriters.

Today in the mail I received copies of ETCetera: the Newsletter of
the Early Typewriter Collectors Assocation, and in issue 6, dated
February, 1989, Richard E. Dickerson puts forth a similar theory,
but with much better data to support it.  The article is "Did Sholes
and Densmore Know What They Were Doing When They Designed Their
Keyboard?", pp. 6-9.

To begin with, I had the order of characters in the type basket
upside down.  He gives the correct arrangement:

        FVGBHNJ 
     CDX       -K- 
   ZS             L-
  A                 M
 -                   -
 -                   -
 -                   -
  Q                 P
   -W             O-
     -E-       -I- 
        R-T-Y-U 

He goes on to plot the frequency with which various digraphs appear
in English text against the number of typebars by which each the two
letters of each pair are separated from each other in the type circle.
I can only approximate the graph here, but it looks something like this:

10,000  |                                           TH
        |
        |
 9,000  |
        |
        |
 8,000  |                                   HE
        |                             IN
        |
 7,000  |
        |
        |
 6,000  |
        | RE,ER
        |
 5,000  |                     AN  ON
        |                       AT
        |
 4,000  |       TE    ND    OR
        |           TI      ES      ST
        |                   AR          AL  OF  IS
 3,000  |           IT      SE  ED              LE NT
        | IO  NG        TO  RO
        |   AS  OU          RA  DE    VE    ME
 2,000  LL
        |
        |
 1,000  |
        |
        |
     0  +------------------------------------------------
        0         5         10        15        20      

He considers this evidence that, with the exception of RE and ER,
the designers of the QWERTY keyboard succeeded in placing the most
commonly used digraphs as far apart as possible.

Teletype fans will also be interested in Issue 8, August, 1989.
The cover story, "An 'Electric' Blicksenderfer?" has a photo of
what must have been an early Morkrum prototype, from the days when
they were still experimenting with rebuilding standard typewriters
into teleprinters.

Information about ordering back issues of ETCetera can be found at

  http://www.typewriter.org/

eric